org.apache.xml.res

## Class XMLErrorResources_sv

- java.lang.Object
- - java.util.ResourceBundle
  - - java.util.ListResourceBundle
    - - org.apache.xml.res.XMLErrorResources
      - - org.apache.xml.res.XMLErrorResources_sv

    public class XMLErrorResources_sv
    extends XMLErrorResources

Set up error messages. We build a two dimensional array of message keys and message strings. In order to add a new message here, you need to first add a String constant. And you need to enter key, value pair as part of the contents array. You also need to update MAX_CODE for error strings and MAX_WARNING for warnings ( Needed for only information purpose )

### Nested Class Summary

### Nested classes/interfaces inherited from class java.util.ResourceBundle

`java.util.ResourceBundle.Control`

### Field Summary

Fields
`static int` `MAX_CODE` Maximum error messages, this is needed to keep track of the number of messages.
`static int` `MAX_MESSAGES` Maximum total warnings and error messages.
`static int` `MAX_OTHERS` Maximum misc strings.
`static int` `MAX_WARNING` Maximum warnings, this is needed to keep track of the number of warnings.

### Fields inherited from class org.apache.xml.res.XMLErrorResources

`ER_ARG_LOCALNAME_INVALID, ER_ARG_LOCALNAME_NULL, ER_ARG_PREFIX_INVALID, ER_AXIS_NOT_SUPPORTED, ER_AXIS_TRAVERSER_NOT_SUPPORTED, ER_CANNOT_CHANGE_WHILE_PARSING, ER_CANNOT_INIT_URI_EMPTY_PARMS, ER_CANNOT_OVERWRITE_CAUSE, ER_CANT_HAVE_MORE_THAN_ONE_ROOT, ER_CANT_OUTPUT_TEXT_BEFORE_DOC, ER_CHILD_HAS_NO_OWNER_DOCUMENT, ER_CHILD_HAS_NO_OWNER_DOCUMENT_ELEMENT, ER_CHUNKEDINTARRAY_NOT_SUPPORTED, ER_COJOINROUTINESET_FAILED, ER_COROUTINE_CO_EXIT, ER_COROUTINE_NOT_AVAIL, ER_COROUTINE_PARAM, ER_COULD_NOT_INIT_PARSER, ER_COULD_NOT_RESOLVE_NODE, ER_CREATEDOCUMENT_NOT_SUPPORTED, ER_ERRORHANDLER_CREATED_WITH_NULL_PRINTWRITER, ER_EXCEPTION_CREATING_POOL, ER_FRAG_FOR_GENERIC_URI, ER_FRAG_INVALID_CHAR, ER_FRAG_WHEN_PATH_NULL, ER_FUNCTION_NOT_SUPPORTED, ER_HOST_ADDRESS_NOT_WELLFORMED, ER_INCRSAXSRCFILTER_NOT_RESTARTABLE, ER_INVALID_PORT, ER_ITERATOR_AXIS_NOT_IMPLEMENTED, ER_ITERATOR_CLONE_NOT_SUPPORTED, ER_LOCATION_UNKNOWN, ER_METHOD_NOT_SUPPORTED, ER_NAME_CANT_START_WITH_COLON, ER_NO_DEFAULT_IMPL, ER_NO_DTMIDS_AVAIL, ER_NO_FRAGMENT_STRING_IN_PATH, ER_NO_PARSE_CALL_WHILE_PARSING, ER_NO_PORT_IF_NO_HOST, ER_NO_QUERY_STRING_IN_PATH, ER_NO_SCHEME_IN_URI, ER_NO_SCHEME_INURI, ER_NO_USERINFO_IF_NO_HOST, ER_NODE_NON_NULL, ER_NOT_SUPPORTED, ER_OFFSET_BIGGER_THAN_SLOT, ER_PARSER_DOTERMINATE_ANSWERS, ER_PARSER_IN_USE, ER_PATH_CONTAINS_INVALID_ESCAPE_SEQUENCE, ER_PATH_INVALID_CHAR, ER_PORT_WHEN_HOST_NULL, ER_PREFIX_MUST_RESOLVE, ER_SCHEME_FROM_NULL_STRING, ER_SCHEME_NOT_CONFORMANT, ER_SCHEME_REQUIRED, ER_SELF_CAUSATION_NOT_PERMITTED, ER_STARTPARSE_NEEDS_SAXPARSER, ER_STARTPARSE_WHILE_PARSING, ER_SYSTEMID_UNKNOWN, ER_TYPED_ITERATOR_AXIS_NOT_IMPLEMENTED, ER_UNKNOWN_AXIS_TYPE, ER_XMLRDR_NOT_BEFORE_STARTPARSE`

### Constructor Summary

Constructors
Constructor and Description
`XMLErrorResources_sv()`

### Method Summary

Methods
`java.lang.Object[][]` `getContents()` Get the lookup table for error messages

### Methods inherited from class org.apache.xml.res.XMLErrorResources

`loadResourceBundle`

### Methods inherited from class java.util.ListResourceBundle

`getKeys, handleGetObject`

### Methods inherited from class java.util.ResourceBundle

`clearCache, clearCache, containsKey, getBundle, getBundle, getBundle, getBundle, getBundle, getBundle, getLocale, getObject, getString, getStringArray, keySet`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### MAX_CODE

    public static final int MAX_CODE

Maximum error messages, this is needed to keep track of the number of messages.

See Also:
  Constant Field Values

#### MAX_WARNING

    public static final int MAX_WARNING

Maximum warnings, this is needed to keep track of the number of warnings.

See Also:
  Constant Field Values

#### MAX_OTHERS

    public static final int MAX_OTHERS

Maximum misc strings.

See Also:
  Constant Field Values

#### MAX_MESSAGES

    public static final int MAX_MESSAGES

Maximum total warnings and error messages.

See Also:
  Constant Field Values

### Constructor Detail

#### XMLErrorResources_sv

    public XMLErrorResources_sv()

### Method Detail

#### getContents

    public java.lang.Object[][] getContents()

Get the lookup table for error messages

Overrides:
  `getContents` in class `XMLErrorResources`
Returns:
  The association list.